package jp.sourceforge.cfneo.at4ie.api.impl.ie;

import org.apache.log4j.Logger;

/**
 * ボタン押下を実施する為のクラス。
 * @author imaitakafumi
 *
 */
public class ButtonClicker implements Runnable {

	Logger logger = Logger.getLogger(ButtonClicker.class);
	private AT4IEButton button;

	/**
	 * コンストラクタ。
	 * @param button
	 */
	public ButtonClicker(AT4IEButton button) {
		this.button = button;
	}

	@Override
	public void run() {
		logger.debug("ButtonClicker#run()");
		try {
			this.button.invokeClickAtSuper();
		} catch (Exception e) {
			logger.info(e);
		}
	}

}
